import type { Ref } from 'vue-demi';
export interface UseChallengeV3Return {
    /**
     * reCAPTCHA v3 response as ref
     */
    response: Ref<string | undefined>;
    /**
     * Execute the challenge
     * @returns response for reCAPTCHA v3
     */
    execute: () => Promise<string>;
}
export declare function useChallengeV3(action: string): UseChallengeV3Return;
